Adopting libapache-mod-jk and libapache2-mod-jk2

Michael Koch konqueror at
Tue Sep 6 20:10:22 UTC 2005

On Tue, Sep 06, 2005 at 09:40:42PM +0200, Wolfgang Baer wrote:
> Hi Guus, hi pkg-java maintainers,
> Guus Sliepen wrote:
> >On Tue, Sep 06, 2005 at 12:38:00PM +0200, Wolfgang Baer wrote:
> >>I will provide you with the packages when I come home from work this
> >>evening. They mostly need some testing and I would also be glad to
> >>receive some comments on how a possible transition from the "old"
> >>mod-jk2 packages to the "new" mod-jk package for apache2 could
> >>be made (if possible at all).
> >Great, I'll be waiting for those packages!
> I have uploaded the libapache*-mod-jk new upstream packaging to
> Please review and test these packages so we can upload it in the
> near future to the debian archive and remove the deprecated
> libapache2-mod-jk2 package.
> One thing currently not addressed is a possible upgrade path
> from the deprecated libapache2-mod-jk2 package. I am not sure
> if this is possible at all because of different configuration
> files - comments are welcome !

Package-wise this is easy. Just add this to libapache2-mod-jk:

Conflicts: libapache2-mod-jk2
Replaces: libapache2-mod-jk2

One problem might be that the configuration of Apache2 and/or tomcat
needs to get changed too. I dont think we can handle this on the package
base and need to leave this to the admin installing the packages.

Escape the Java Trap with GNU Classpath!

Join the community at

More information about the pkg-java-maintainers mailing list